<?php
// +-----------------------------------------------------------------------+
// | Mod Name : cat_add_fav                                       |
// | Mod Version : 0.1                                              |
// | Mod Orignal author: Tboris                                            |
// | Mod Second author : Chauveau jean-francois                                      |
// | Mod Version author : jfchauveau <jf@chauveau.nom.fr>                      |
// | Mod description :                                                     |
// | Ce plugin rajoute l'icone favori sous chaque miniature dans une catégorie   |
// | Module basé sur l'excellent plugin Download-multi - merci à son auteur !         |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.               '                                                  |
// +-----------------------------------------------------------------------+

class CatAddFav    {
  var $plugin_name, $plugin_path, $plugin_url;
  var $my_config;

  function CatAddFav   ($plugin_name, $plugin_path, $plugin_url) {
    // Args
    $this->plugin_name = $plugin_name;
    $this->plugin_path = $plugin_path;
    $this->plugin_url = $plugin_url;
    // handler
    $this->initialize_event_handler($plugin_name, $plugin_path, $plugin_url);
  }

  function initialize_event_handler() {
    global $user;
	
//Les favoris ne fonctionnent que pour un utilisateur enregistré ... of course :)

      $query = '
        SELECT username
        FROM '.USERS_TABLE.'
        WHERE id = '.$user['id'].'
      ;';
      $result = pwg_query($query);

      // Parcours la requête SQL
      while($row = mysql_fetch_array($result)) {

          // Mise à jour du panier
          add_event_handler('loc_begin_index', array(&$this, 'CaFCart'));

          add_event_handler('loc_end_index_thumbnails', array($this, 'CaFCategoryThumbnail'), 50, 2);

      }
	  }


//DEBUT - MODIF POUR AVOIR LES FAVORIS EN DESSOUS DES IMAGES
function CaFaddfavorite ($action_f,$id_image) {

global $prefixeTable, $user;
	$url_up = duplicate_index_url();
  
	if (isset($action_f))
	{
		switch ($action_f)
		{
			case 'add_to_favorites' :
			{
      
			$query = '
			INSERT INTO '.FAVORITES_TABLE.'
			(image_id,user_id)
			VALUES
			('.$id_image.','.$user['id'].')
			;';
			pwg_query($query);

			redirect($url_up);

		break;
		}
			case 'remove_from_favorites' :
			{
			$query = '
			DELETE FROM '.FAVORITES_TABLE.'
			WHERE user_id = '.$user['id'].'
			AND image_id = '.$id_image.'
			;';
			pwg_query($query);
        
		redirect($url_up);
      break;
		}
	}
	}
}


  // Mise à jour des favoris
  function CaFCart() {
  
  	if (isset($_GET['action_f'])) {
	$this->CaFaddfavorite($_GET['action_f'], $_GET['id_images']);
	}

  }

  // Affiche l'entrée HTML du formulaire
  function CaFFormThumbnail() {
    global $template;
    $template->concat('PLUGIN_INDEX_CONTENT_BEGIN', '<form id="dl" action="#" name="CaFForm" method="post">');
  }

  // Affiche  icone favoris derrière le nom de l'image
  function CaFCategoryThumbnail($tpl_var) {
    global $user;
	foreach($tpl_var as $cle=>$valeur) {
			//check si l'image fait partie des favoris de l'utilisateur
			$query = '
			SELECT COUNT(*) AS nb_fav
			FROM '.FAVORITES_TABLE.'
			WHERE image_id = '.$tpl_var[$cle]['ID'].'
			AND user_id = '.$user['id'].'
			;';
			$row = pwg_db_fetch_assoc( pwg_query($query) );

			$is_favorite = $row['nb_fav'] != 0;
			//on change l'image 'favorite.png' selon si elle est ou pas déjà dans les favoris de l'utilisateur
			if ($is_favorite == 0) {$image_favorite= 'favorite.png';} else {$image_favorite= 'del_favorite.png';}
      
	  $tpl_var[$cle]['NAME'] = $tpl_var[$cle]['NAME'].'&nbsp;
	  <a href="'.add_url_params("http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'].'&id_images='.$tpl_var[$cle]['ID'],array("action_f"=> !$is_favorite ? "add_to_favorites" : "remove_from_favorites" )).'">
	  <img src="'.PHPWG_ROOT_PATH.'/themes/default/icon/'.$image_favorite.'" width="15px" class="button" style="text-decoration:none;">
	  </a>
	  
	  ';
    }

    return $tpl_var;
  }

 //FIN - MODIF POUR AVOIR LES FAVORIS EN DESSOUS DES IMAGES
  

}
?>
